#include <SPI.h>
#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

#define OLED_RESET 4
Adafruit_SSD1306 display(OLED_RESET);

// this is the bitmap, change this variable for your specification.
const unsigned char myBitmap [] PROGMEM = 

{
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xfc, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xfc, 0x7f, 0xff, 0x03, 0xff, 0x8f, 0xff, 0xc7, 0x87, 0xfe, 0x3f, 0xff, 0xff, 0xff, 0xff, 
	0xfc, 0x00, 0x03, 0xfe, 0x7b, 0xff, 0x6f, 0xff, 0xdf, 0xb7, 0xfe, 0xf0, 0x3f, 0xff, 0xff, 0xff, 
	0xfc, 0x3c, 0x43, 0xfe, 0xfb, 0xff, 0x6f, 0xff, 0xdf, 0xb7, 0xfe, 0xf0, 0x3f, 0xff, 0xff, 0xff, 
	0xfc, 0x3c, 0x43, 0xfe, 0xe4, 0x01, 0x63, 0xc7, 0x1e, 0x36, 0x38, 0xf0, 0x1f, 0xff, 0xff, 0xff, 
	0xfd, 0xff, 0x80, 0x7e, 0xc1, 0xb6, 0xad, 0xba, 0xfd, 0xf5, 0xd7, 0xf1, 0x30, 0x86, 0x44, 0xff, 
	0xfd, 0xff, 0x00, 0x1f, 0xf9, 0xfe, 0x7e, 0x49, 0xf9, 0xf2, 0x4f, 0xf0, 0x30, 0x82, 0x04, 0xff, 
	0xfd, 0xfe, 0x03, 0x8f, 0xf9, 0xb2, 0x66, 0x4d, 0x9b, 0x32, 0x6c, 0xf0, 0x31, 0x12, 0x00, 0xff, 
	0xfd, 0x9c, 0x03, 0xcf, 0xc1, 0x92, 0x66, 0x79, 0x9b, 0x33, 0xec, 0xf1, 0x13, 0x03, 0x00, 0xff, 
	0xfd, 0x1c, 0x03, 0xcf, 0xc1, 0x92, 0x26, 0x41, 0x9b, 0x32, 0x0c, 0xd1, 0x13, 0x1f, 0x01, 0xff, 
	0xfd, 0x1f, 0xe3, 0xcf, 0xf9, 0x93, 0x3e, 0x61, 0xf9, 0xf3, 0x87, 0xd0, 0x13, 0x83, 0x11, 0xff, 
	0xfd, 0x1d, 0xc3, 0xcf, 0xf9, 0x92, 0x3d, 0xba, 0xd8, 0xb5, 0xd6, 0xd0, 0x33, 0xc3, 0x11, 0xff, 
	0xfd, 0x1f, 0x03, 0xcf, 0x06, 0x00, 0x83, 0xc7, 0x87, 0x8e, 0x3c, 0x3f, 0xff, 0xff, 0xff, 0xff, 
	0xfd, 0x1e, 0x03, 0x8f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xfd, 0x1c, 0x00, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xfd, 0x08, 0x00, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xfd, 0x00, 0x03, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xfd, 0x80, 0x03, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xfd, 0x00, 0x03, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xfe, 0x80, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
};

void setup() 
{
  display.begin(SSD1306_SWITCHCAPVCC, 0x3C);  // here the 0x3c is the I2C address, check your i2c address if u have multiple devices.
  display.clearDisplay();
  delay(2000);

}

void loop() 
{
  display.clearDisplay();
  display.drawBitmap(0, 0, myBitmap, 128, 64, WHITE);
  display.display();
  delay(500);
}